import type {GroupListResponseModel} from '@/helpers/models';

export const groupListResponse: GroupListResponseModel = {
  id: 'school1-group1',
  allowedActions: ['edit', 'delete', 'toggleLMS', 'toggleIServ'],
  schoolGroupType: 'workgroup',
  attributes: {
    idiSchoolyear: {
      value: 'Year 3',
      access: 'read',
    },
    name: {
      value: 'school1-group1',
      access: 'read',
    },
    description: {
      value: 'Group 1',
      access: 'read',
    },
    divisClasstype: {
      value: 'Group type A',
      access: 'read',
    },
    groupSourceId: {
      value: 'sourceID',
      access: 'read',
    },
    createTimestamp: {
      value: '2020-10-5',
      access: 'read',
    },
    modifyTimestamp: {
      value: '2020-10-05',
      access: 'read',
    },
    recordUID: {
      value: 'recordUID',
      access: 'read',
    },
    disabled: {
      value: false,
      access: 'read',
    },
    divisStartdate: {
      value: '2020-10-05',
      access: 'read',
    },
    divisEnddate: {
      value: '2020-10-05',
      access: 'read',
    },
    purgeDate: {
      value: '2020-10-05',
      access: 'read',
    },
    isLmsGroup: {
      value: true,
      access: 'read',
    },
    isIservGroup: {
      value: false,
      access: 'read',
    },
  },
};
